Applicable for modifying TP/SL orders
Request URL
POST https://cloud-api.wooxpro.com/contract/private/modify-tp-sl-order
Request Limit
See Detailed Rate LimitRequest Parameter
Request
Response Data
Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Applicable for modifying TP/SL orders
POST https://cloud-api.wooxpro.com/contract/private/modify-tp-sl-order
Request
curl
-H 'X-API-KEY:{{AccessKey}}'
-H 'X-API-TIMESTAMP:{{currentTime}}'
-H 'X-API-SIGN:{{SIGN}}'
-X POST -d '{
"symbol":"ETHUSDT",
"trigger_price":"2100",
"executive_price":"2100",
"price_type":2,
"order_id":"37758000001",
"client_order_id":"",
"plan_category":2,
"category": "limit"
}'
https://cloud-api.wooxpro.com/contract/private/modify-tp-sl-order
| Field | Type | Required? | Description |
|---|---|---|---|
| symbol | String | Yes | Symbol of the contract(like BTCUSDT) |
| order_id | String | No | Order ID(order_id or client_order_id must give one) |
| client_order_id | String | No | Client order ID(order_id or client_order_id must give one) |
| trigger_price | String | Yes | Trigger price |
| executive_price | String | No | Execution price for order, mandatory when plan_category = 1 |
| price_type | Int | Yes | Trigger price type - 1=last_price- 2=fair_price |
| plan_category | Int | No | TP/SL type - 1=TP/SL- 2=Position TP/SL |
| category | String | No | Order type, Position TP/SL default market- limit- market |
Response
{
"code": 1000,
"message": "Ok",
"data": {
"order_id": "220609666322019"
},
"trace": "13f7fda9-9543-4e11-a0ba-cbe117989988"
}
| Field | Type | Description |
|---|---|---|
| order_id | String | Order ID |